;;
;; Sech.lsp
;;    
;;------------------------------------------------------------------------
;;  Adding PG for AutoCAD r14 12/08/97
;; 21/08/99  AutoCAD r15 (2000)
;; 
;;
;;
;;   Copyright  \"SingleSoft PG\" "
;;                       mailto:gepos@mail.ru 
;;
;;------------------------------------------------------------------------
;;------------------------------------------------------------------------
;;
(defun c:sech( / t1 t2 t3 t4 ta cmd1 blm alfa alfa2 beta let)
 (initget 3)
 (setq t1 (getpoint "\n    : ")
       t3 (getpoint t1 "\n    : ")
       cmd1 (getvar "CMDECHO")
       blm (getvar "BLIPMODE")
       ta (getpoint "\n   ... : ")
       alfa (angle t1 t3)
       alfa2 (+ alfa  3.1416)
       t2 (polar t1 alfa 12)
       t4 (polar t3 alfa2 12)
       beta (angle t1 ta)
 )
 (setvar "CMDECHO" 0)
 (setvar "BLIPMODE" 0)
 (command "PLINE" t1 "W" 0.5 0.5 t2 "" )
 (command "PLINE" t3 "W" 0.5 0.5 t4 "" )
 ;(print alfa)
 ;(print beta)

 (if (< alfa beta)
     (setq beta (+ alfa (/ 3.1415 2)))
     (setq beta (- alfa (/ 3.1415 2)))
  )

;------first str------------------------------------------
 (setq t1 (polar t1 alfa 4)
       t2 (polar t1 beta 4)
       t4 (polar t1 beta 12)
  )
 (command "PLINE" t1 "W" 0.0 1.5 t2 "W" 0.0 0.0 t4 "")
 (setq ta (getpoint "\n  : ")
       let (strcase(getstring "\n: "))
 )
 (command "TEXT" ta 5.0 0.0 let )

;-----second str------------------------------------------
 (setq t1 (polar t3 alfa2 4)
       t2 (polar t1 beta 4)
       t4 (polar t1 beta 12)
  )
 (command "PLINE" t1 "W" 0.0 1.5 t2 "W" 0.0 0.0 t4 "")
 (setq ta (getpoint "\n : "))
 (command "TEXT" ta 5.0 0.0 let )


;------ end operation ------------------
 (setvar "CMDECHO" cmd1)
 (setvar "BLIPMODE" blm)
) ; the end



;;------------> the end <---------------------------------------


